Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.xml
Class JobSchedulingDataProcessor.TimeZoneConverter

    java.lang.Object
      org.quartz.xml.JobSchedulingDataProcessor.TimeZoneConverter

All Implemented Interfaces:
  org.apache.commons.beanutils.Converter

Enclosing class:
  JobSchedulingDataProcessor

public final class JobSchedulingDataProcessor.TimeZoneConverter
extends Object
implements org.apache.commons.beanutils.Converter

Standard `Converter` implementation that converts an incoming String into a `java.util.TimeZone` object throwing a `ConversionException` if a conversion error occurs.

Constructor Summary
`JobSchedulingDataProcessor.TimeZoneConverter()` Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

Method Summary
`Object` | `convert(Class type, Object value)` Convert the specified input object into an output object of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSchedulingDataProcessor.TimeZoneConverter

    public JobSchedulingDataProcessor.TimeZoneConverter()

  Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

Method Detail

### convert

    public Object convert(Class type,
                          Object value)

  Convert the specified input object into an output object of the specified type.

  Specified by:
    `convert` in interface `org.apache.commons.beanutils.Converter`
  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
  Throws:
    `org.apache.commons.beanutils.ConversionException` - if conversion cannot be performed successfully

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD